SSLFactory (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.security

## Class SSLFactory

- java.lang.Object
- - org.apache.cassandra.security.SSLFactory

-     public final class SSLFactory
      extends java.lang.Object

  A Factory for providing and setting up Client and Server SSL wrapped Socket and ServerSocket

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.net.ssl.SSLContext` | `createSSLContext(EncryptionOptions options, boolean buildTruststore)`
    `static javax.net.ssl.SSLServerSocket` | `getServerSocket(EncryptionOptions options, java.net.InetAddress address, int port)`
    `static javax.net.ssl.SSLSocket` | `getSocket(EncryptionOptions options)` Just create a socket
    `static javax.net.ssl.SSLSocket` | `getSocket(EncryptionOptions options, java.net.InetAddress address, int port)` Create a socket and connect, using any local address
    `static javax.net.ssl.SSLSocket` | `getSocket(EncryptionOptions options, java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)` Create a socket and connect

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLFactory

          public SSLFactory()

  - ### Method Detail

    - #### getServerSocket

          public static javax.net.ssl.SSLServerSocket getServerSocket(EncryptionOptions options,
                                                      java.net.InetAddress address,
                                                      int port)
                                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSocket

          public static javax.net.ssl.SSLSocket getSocket(EncryptionOptions options,
                                          java.net.InetAddress address,
                                          int port,
                                          java.net.InetAddress localAddress,
                                          int localPort)
                                                   throws java.io.IOException

      Create a socket and connect
      Throws:
        `java.io.IOException`

    - #### getSocket

          public static javax.net.ssl.SSLSocket getSocket(EncryptionOptions options,
                                          java.net.InetAddress address,
                                          int port)
                                                   throws java.io.IOException

      Create a socket and connect, using any local address
      Throws:
        `java.io.IOException`

    - #### getSocket

          public static javax.net.ssl.SSLSocket getSocket(EncryptionOptions options)
                                                   throws java.io.IOException

      Just create a socket
      Throws:
        `java.io.IOException`

    - #### createSSLContext

          public static javax.net.ssl.SSLContext createSSLContext(EncryptionOptions options,
                                                  boolean buildTruststore)
                                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation